Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Class ContentPk

    java.lang.Object
      |
      +--com.bea.p13n.content.ContentPk

Direct Known Subclasses:
  DocumentPk

Deprecated. Use java.lang.String instead.

public class ContentPk
extends java.lang.Object
implements java.lang.Comparable, java.io.Serializable

This is the primary key class for all Content.

All content needs to be identifiable by a unique String identifier.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `identifier` Deprecated. The unique identifier of the Content.

Constructor Summary
`ContentPk()` Deprecated. Default constructor.
`ContentPk(java.lang.String identifier)` Deprecated. Constructor that takes in all of the primary key attributes as parameters.

Method Summary
`int` | `compareTo(java.lang.Object o)` Deprecated. Compares the `identifier` to the object's identifier.
`boolean` | `equals(java.lang.Object o)` Deprecated.
`int` | `hashCode()` Deprecated. Overrides to use the hashCode of the `identifier`.
`java.lang.String` | `toString()` Deprecated. Returns the `identifier`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

  Deprecated.
  The unique identifier of the Content.

Constructor Detail

### ContentPk

    public ContentPk()

  Deprecated.
  Default constructor.

### ContentPk

    public ContentPk(java.lang.String identifier)

  Deprecated.
  Constructor that takes in all of the primary key attributes as parameters. All attribute values will be set to the input parameter values.

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Deprecated.

  Overrides:
    equals in class java.lang.Object

### compareTo

    public int compareTo(java.lang.Object o)

  Deprecated.
  Compares the `identifier` to the object's identifier.
  Specified by:
    compareTo in interface java.lang.Comparable

### toString

    public java.lang.String toString()

  Deprecated.
  Returns the `identifier`.

  Overrides:
    toString in class java.lang.Object

### hashCode

    public int hashCode()

  Deprecated.
  Overrides to use the hashCode of the `identifier`.

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved